Modify Open Order

View as MarkdownOpen in Claude
Modify an existing, unfilled order.

Path parameters

accountIdstringRequired
The account to which the order will clear.
orderIdstringRequired

The IB-assigned order ID of the desired order ticket.

Request

This endpoint expects an object.
conidlongRequired
IB contract ID of the instrument.
orderTypestringRequired
IB order type identifier.
sideenumRequired
Side of the order ticket.
tifenumRequired
Time in force of the order ticket.
quantitydoubleRequired
Quantity of the order ticket in units of the instrument.
acctIdstringOptional
Receiving account of the order ticket.
conidexstringOptional

Contract ID and routing destination together in format 123456@EXCHANGE.

secTypestringOptional
IB asset class identifier.
cOIDstringOptional

Client-configurable order identifier. The value must be unique for a 24 hour span. The value can be no longer than 64 characters. Should not be set for the child of a bracket order.

parentIdstringOptional
If the order ticket is a child order in a bracket, the parentId field must be set equal to the cOID provided for the parent order.
listingExchangestringOptional
The listing exchange of the instrument.
isSingleGroupbooleanOptional
Indicates that all orders in the containing array are to be treated as an OCA group.
outsideRTHbooleanOptional
Instructs IB to permit the order to execute outside of regular trading hours.
allOrNonebooleanOptional
Instructs IB to execute the order entirely or not execute at all.
auxPricedoubleOptional
Additional price value used in certain order types, such as stop orders.
tickerstringOptional
Ticker symbol of the instrument.
trailingAmtdoubleOptional
Offset used with Trailing orders.
trailingTypeenumOptional
Specifies the type of trailing used with a Trailing order.
referrerstringOptional
IB internal identifier for order entry UI element.
cashQtydoubleOptional
Quantity of currency used with cash quantity orders.
useAdaptivebooleanOptional
Instructs IB to apply the Price Management Algo.
isCcyConvbooleanOptional
Indicates that a forex order is for currency conversion and should not entail a virtual forex position in the account, where applicable.
pricedoubleOptional
Price of the order ticket, where applicable.
strategystringOptional
The name of an execution algorithm.
strategyParametersobjectOptional
Parameters governing the selected algorithm, if applicable.
extOperatorstringOptional
ExtOperator is used to identify external operator
manualIndicatorbooleanOptional

For all orders for US Futures products, clients must submit this flag to indicate whether the order was originated manually (by a natural person) or automatically (by an automated trading system transmitting orders without human intervention). Submit a True value to indicate a manually originated order, and submit a False value to indicate an automated order. Orders for USFUT products that do not include this field will be rejected.

taxOptimizerIdstringOptional
Identifies set of tax lots selected, for gains and losses management.
jsonPayloadobjectOptional

Response

Status of submission
orderSubmitSuccesslist of objects
A successful submission of one or more order tickets.
OR
orderSubmitErrorobject
Indicates that the order reply message or submission was not accepted.
OR
orderReplyMessagelist of objects
An array containing objects that each deliver the order reply messages emitted against one order ticket in the submission request's array. Indicies of the order reply message objects in this array correspond to the indicies of the order tickets in the submission request's array.
OR
advancedOrderRejectobject
Relates a message generated in response to the rejection of the submitted order ticket. In some cases, it may also present a mechanism to resubmit the same order following a prompted decision.

Errors

400
Bad Request Error
401
Unauthorized Error
500
Internal Server Error
503
Service Unavailable Error